Bug 450938 - Review Request: fs_mark - Benchmark synchronous/async file creation
Review Request: fs_mark - Benchmark synchronous/async file creation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 16:06 EDT by Eric Sandeen
Modified: 2008-06-19 00:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 00:19:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2008-06-11 16:06:20 EDT
Spec URL: http://sandeen.fedorapeople.org/fs_mark/fs_mark.spec
SRPM URL: http://sandeen.fedorapeople.org/fs_mark/fs_mark-3.2-1.fc8.src.rpm
Description:
The fs_mark program is meant to give a low level bashing to file
systems. The write pattern that we concentrate on is heavily
synchronous IO across mutiple directories, drives, etc.
Comment 1 Eric Sandeen 2008-06-11 16:10:29 EDT
scratch koji build on f-10:

http://koji.fedoraproject.org/koji/taskinfo?taskID=658025
Comment 2 Fedora Update System 2008-06-12 12:25:27 EDT
gdal-1.5.1-13.fc9 has been submitted as an update for Fedora 9
Comment 3 Jason Tibbitts 2008-06-18 19:25:18 EDT
Someone must have typoed a bug number in bodhi....

I would suggest using URL: http://developer.osdl.org/dev/doubt/fs_mark (since it
actually has some useful content) and Source0:
http://developer.osdl.org/dev/doubt/fs_mark/archive/%{name}-%{version}.tgz

The proper compilers aren't passed to the compiler, which results in a broken
debuginfo package (among other things).  You can fix this by changing the make
line to:
  CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

Everything else seems to be fine.

* source files match upstream:
   ff6cdb29f55d3ea9dfd0261faeb1f65e35ea7092605cb330e77f4b1d6bebd87b  
   fs_mark-3.2.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none).
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
X debuginfo package does not include source.
* rpmlint is silent.
* final provides and requires are sane:
   fs_mark = 3.2-1.fc10
  =
   (no non-glibc dependencies)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 4 Eric Sandeen 2008-06-18 19:50:02 EDT
Ok, updated files at http://sandeen.fedorapeople.org/fs_mark/

Thanks!
Comment 5 Jason Tibbitts 2008-06-18 19:55:28 EDT
Looks good to me.

APPROVED
Comment 6 Eric Sandeen 2008-06-18 19:56:11 EDT
oh, and koji build of the above at
http://koji.fedoraproject.org/koji/taskinfo?taskID=669624
Comment 7 Eric Sandeen 2008-06-18 19:57:49 EDT
New Package CVS Request
=======================
Package Name: fs_mark
Short Description: Benchmark synchronous/async file creation
Owners: sandeen
Branches: F-8 F-9 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 8 Jason Tibbitts 2008-06-18 20:32:27 EDT
CVS done.
Comment 9 Eric Sandeen 2008-06-19 00:19:31 EDT
Thanks everybody!  Building now & closing.

Note You need to log in before you can comment on or make changes to this bug.